﻿local addonName, addonData = ...;
local tType, tName, itemLink, count, tab1, tab2, year, month, day, hour;
local queryCount = 0;

local function onEvent(self,event,...)

	if ( not GuildBankFrame:IsVisible() ) then
		return;
	end

	if ( event == "GUILDBANKFRAME_OPENED" ) then
		queryCount = 0;
		for tab = 1,GetNumGuildBankTabs() do
			QueryGuildBankLog(tab);
			QueryGuildBankTab(tab);
		end		
		QueryGuildBankLog(MAX_GUILDBANK_TABS+1);
	elseif ( event == "GUILDBANKLOG_UPDATE" ) then
		queryCount = queryCount + 1;
		if queryCount == GetNumGuildBankTabs() + 1 then
			for tab = 1, GetNumGuildBankTabs() do
				local maxTabTrans = GetNumGuildBankTransactions(tab);
				for trans = 1,maxTabTrans do
					tType, tName, itemLink, count, tab1, tab2, year, month, day, hour = GetGuildBankTransaction(tab, trans);
					if trans == maxTabTrans then
						if ( tab1 ) then tab1 = GetGuildBankTabInfo(tab1); end
						if ( tab2 ) then tab2 = GetGuildBankTabInfo(tab2); end
						print("Last Item Transaction: ",tab,maxTabTrans,tType, tName, itemLink, count, tab1, tab2, year, month, day, hour, "Time Conversion = (", RecentTimeDate(year, month, day, hour),")");					
					end
				end
			end
			local maxMoneyTrans = GetNumGuildBankMoneyTransactions();
			for trans = 1,maxMoneyTrans do
				tType, tName, amount, years, months, days, hours = GetGuildBankMoneyTransaction(trans);
				if ( trans == maxMoneyTrans ) then
					print("Last Money Transaction: ",maxMoneyTrans,tType, tName, GetDenominationsFromCopper(amount), year, month, day, hour, "Time Conversion = (", RecentTimeDate(year, month, day, hour),")");
				end
			end
		end
	end
end

local evFrame = CreateFrame("Frame","evFrame",UIParent);
evFrame:SetScript( "OnEvent", onEvent );
evFrame:RegisterEvent( "PLAYER_LOGIN" );
evFrame:RegisterEvent( "GUILDBANKLOG_UPDATE" );
evFrame:RegisterEvent( "GUILDBANKFRAME_OPENED" );

